%bcond_without tests

%define module requests-mock

Name:           python-%{module}
Version:        1.8.0
Release:        %mkrel 1
Summary:        A requests mocking tool for python
Group:          Development/Python
License:        ASL 2.0
URL:            https://requests-mock.readthedocs.io/
Source0:        https://pypi.io/packages/source/r/requests-mock/%{module}-%{version}.tar.gz

Patch0:         0002-Use-system-urllib3-package.patch
Patch1:         0003-Allow-skipping-purl-tests-if-it-is-not-present.patch

BuildArch:      noarch

%description
requests-mock provides a simple way to do HTTP mocking at the
python-requests layer.

%package -n python3-%{module}
Summary:        A requests mocking tool for python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

# standard requirements needed for testing
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-urllib3

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-testtools
BuildRequires:  python3-pytest
%endif

%description -n python3-%{module}
requests-mock provides a simple way to do HTTP mocking at the
python-requests layer.


%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf requests_mock.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%{__python3} -m testtools.run discover
%{__python3} -m pytest tests/pytest
%endif

%files -n python3-%{module}
%license LICENSE
%doc README.rst ChangeLog
%{python3_sitelib}/requests_mock
%{python3_sitelib}/requests_mock-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jan 08 2021 daviddavid <daviddavid> 1.8.0-1.mga8
+ Revision: 1669739
- initial package python-requests-mock (needed for python-os-service-types)

